List Projects
GEThttps://api.confident-ai.com/v1/projects
Retrieves all projects within your organization.
curl -X GET "https://api.confident-ai.com/v1/projects" \
-H "CONFIDENT_API_KEY: <ORGANIZATION-API-KEY>"{
"success": true,
"data": {
"projects": [
{
"id": "PROJECT-ID-1",
"name": "Production App",
"description": "Main production application",
"organizationId": "ORGANIZATION-ID",
"created_at": "2024-12-04T23:00:00.000Z"
},
{
"id": "PROJECT-ID-2",
"name": "Staging Environment",
"description": null,
"organizationId": "ORGANIZATION-ID",
"created_at": "2024-12-03T15:30:00.000Z"
}
]
}
}Headers
CONFIDENT_API_KEYstringRequiredThe organization API key for your Confident AI organization.
Response
successbooleanIndicates if the request was successful
dataobjectShow 1 propertyHide 1 property
projectslist of objectsList of projects in the organization
Show 6 propertiesHide 6 properties
idstringUnique identifier for the project
namestringName of the project
descriptionstringOptional description of the project
organizationIdstringID of the organization this project belongs to
created_atstringISO 8601 timestamp of when the project was created
governancePolicyobjectThe governance policy the project is enrolled in, or null if it is not enrolled.
Show 2 propertiesHide 2 properties
idstringThe unique identifier of the governance policy.
namestringThe name of the governance policy.